import { loadEnvironment } from '@alfa-client/environment-shared';
import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { isNil } from 'lodash-es';
import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

loadEnvironment(environment.environmentUrl).then((env) => {
  if (isNil(env?.production)) {
    console.error('Connection Error: environment is ', env);
    return;
  }

  if (env.production) {
    enableProdMode();
  }
  platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch((err) => console.log(err));
});
