/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class NavigationE2EComponent {
  private readonly alleFilterToggleButton: string = 'alle-filter-toggle-button';
  private readonly meineVorgaengeToggleButton: string = 'meine-vorgaenge-filter-toggle-button';
  private readonly nichtZugewiesenToggleButton: string = 'nicht-zugewiesen-filter-toggle-button';

  private readonly locatorRoot: string = 'navigation';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getAlleFilter() {
    return cy.getTestElement(this.alleFilterToggleButton);
  }

  public getMeineVorgaengeFilter() {
    return cy.getTestElement(this.meineVorgaengeToggleButton);
  }

  public getNichtZugewiesenFilter() {
    return cy.getTestElement(this.nichtZugewiesenToggleButton);
  }
}
