/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { UserProfileIconE2EComponent } from './user-profile-icon.component.e2e';
import { UserProfileSearchE2EComponent } from './user-profile-search.component.e2e';

export class UserProfileE2EComponent {
  private readonly locatorUserProfileName: string = 'user-profile-name';

  constructor(private root: string) {}

  public getRoot() {
    return cy.getTestElement(this.root);
  }

  public getIconContainer(): UserProfileIconE2EComponent {
    return new UserProfileIconE2EComponent(this.root);
  }

  public getSearchContainer(): UserProfileSearchE2EComponent {
    return new UserProfileSearchE2EComponent(this.root);
  }

  public getName() {
    return this.getRoot().findTestElementWithClass(this.locatorUserProfileName);
  }
}
