import { enterWith } from '../../support/cypress.util';

export class VorgangZusammenarbeitE2EComponent {
  private readonly anfrageButton: string = 'anfrage-erstellen-button';
  private readonly zustaendigeStelleButton: string = 'organisations-einheit-search-button';
  private readonly titelText: string = 'Titel-text-input';
  private readonly messageText: string = 'Nachricht-textarea';
  private readonly sendButton: string = 'collaboration-request-submit-button';
  private readonly cancelButton: string = 'collaboration-request-cancel-button';

  public getAnfrageButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.anfrageButton);
  }

  public createAnfrage(): void {
    this.getAnfrageButton().click();
  }

  public getZustaendigeStelleButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.zustaendigeStelleButton);
  }

  public searchZustaendigeStelle(): void {
    this.getZustaendigeStelleButton().click();
  }

  public getStelleTitel(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.titelText);
  }

  public enterTitel(text: string): void {
    enterWith(this.getStelleTitel(), text);
  }

  public getMessageText(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.messageText);
  }

  public enterMessage(text: string): void {
    enterWith(this.getMessageText(), text);
  }

  public messageScrollbarIsPresent(): void {
    this.getMessageText().then(($textarea) => {
      const scrollHeight = $textarea[0].scrollHeight;
      const clientHeight = $textarea[0].clientHeight;

      expect(scrollHeight).to.be.greaterThan(clientHeight);
    });
  }

  public getSendButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.sendButton);
  }

  public sendAnfrage(): void {
    this.getSendButton().click();
  }

  public getCancelButton(): Cypress.Chainable<JQuery<HTMLElement>> {
    return cy.getTestElement(this.cancelButton);
  }

  public cancelAnfrage(): void {
    this.getCancelButton().click();
  }
}
