#!/bin/bash

if [ $# -eq 0 ]; then
    echo "Error: No filename provided."
    exit 1
fi

pid_file="$1"

if [ ! -f "$pid_file" ]; then
    echo "Error: File '$pid_file' does not exist."
    exit 1
fi

pid=$(<"$pid_file")

if ! [[ "$pid" =~ ^[0-9]+$ ]]; then
    echo "Error: Invalid PID in file '$pid_file'."
    exit 1
fi

kill "$pid"
