import { NavigationItemComponent } from '@admin-client/admin-settings';
import { getMockComponent } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { SettingName } from '../../admin-settings.model';
import { PostfachNavigationItemComponent } from './postfach-navigation-item.component';

describe('PostfachNavigationItemComponent', () => {
  let component: PostfachNavigationItemComponent;
  let fixture: ComponentFixture<PostfachNavigationItemComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [PostfachNavigationItemComponent, MockComponent(NavigationItemComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(PostfachNavigationItemComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('navigation item component', () => {
    let navigationItemComponent: NavigationItemComponent;

    beforeEach(() => {
      navigationItemComponent = getMockComponent(fixture, NavigationItemComponent);
    });

    it('should be called with name', () => {
      expect(navigationItemComponent.name).toBe(SettingName.POSTFACH);
    });

    it('should be called with imageSrc', () => {
      expect(navigationItemComponent.imageSrc).toBe('/assets/mail.svg');
    });

    it('should be called with link', () => {
      expect(navigationItemComponent.link).toBe('/postfach');
    });
  });
});
