import { createOrganisationseinheitError } from '../../../test/user/user';
import { OrganisationseinheitError, OrganisationseinheitErrorType } from './user.model';
import { KEYCLOAK_ERROR_MESSAGES, getOrganisationseinheitErrorMessage } from './user.util';

describe('get organisationseinheit error message', () => {
  it('should map known error message', () => {
    const nameConflictError: OrganisationseinheitError = createOrganisationseinheitError(
      OrganisationseinheitErrorType.NAME_CONFLICT,
    );
    const expectedMessage: string = KEYCLOAK_ERROR_MESSAGES[nameConflictError.errorType];

    const message: string = getOrganisationseinheitErrorMessage(nameConflictError);
    expect(message).toEqual(expectedMessage);
  });

  it('should map unknown error message to empty string', () => {
    const nameConflictError: OrganisationseinheitError = createOrganisationseinheitError(null);

    const message: string = getOrganisationseinheitErrorMessage(nameConflictError);
    expect(message).toEqual('');
  });
});
