import { argsToTemplate, type Meta, type StoryObj } from '@storybook/angular';
import { AriaLiveRegionComponent } from './aria-live-region.component';

const meta: Meta<AriaLiveRegionComponent> = {
  title: 'Aria live region',
  component: AriaLiveRegionComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AriaLiveRegionComponent>;

export const Default: Story = {
  args: {
    text: '',
  },
  render: (args) => ({
    props: args,
    template: `
      <h2>This component is suitable for screen reader. Fill text field to make screen reader read it aloud.</h2>
      <ods-aria-live-region ${argsToTemplate(args)} />
    `,
  }),
};
