import { CommonModule } from '@angular/common';
import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { AttachmentIconComponent } from '../../icons/attachment-icon/attachment-icon.component';
import { SpinnerIconComponent } from '../../icons/spinner-icon/spinner-icon.component';
import { FileUploadButtonComponent } from './file-upload-button.component';

const meta: Meta<FileUploadButtonComponent> = {
  title: 'File upload button',
  component: FileUploadButtonComponent,
  decorators: [
    moduleMetadata({
      imports: [
        CommonModule,
        FileUploadButtonComponent,
        AttachmentIconComponent,
        SpinnerIconComponent,
      ],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FileUploadButtonComponent>;

export const Upload: Story = {
  args: {
    id: '1',
    isLoading: false,
  },
  render: (args: FileUploadButtonComponent) => ({
    props: args,
    template: `<ods-file-upload-button ${argsToTemplate(args)}>
      <ods-attachment-icon icon></ods-attachment-icon>
      <ods-spinner-icon spinner size="medium"></ods-spinner-icon>
      <p text>Anhang hochladen</p>
    </ods-file-upload-button>`,
  }),
};
