import type { Meta, StoryObj } from '@storybook/angular';

import { UserIconComponent } from './user-icon.component';

const meta: Meta<UserIconComponent> = {
  title: 'Icons/User icon',
  component: UserIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<UserIconComponent>;

export const Default: Story = {
  args: { size: 'xxl' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'xxl', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'xxl' },
      },
    },
  },
};
