/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input, OnInit } from '@angular/core';
import { PostfachMailResource, PostfachService } from '@alfa-client/postfach-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-postfach-mail-pdf-button-container',
  templateUrl: './postfach-mail-pdf-button-container.component.html',
  styleUrls: ['./postfach-mail-pdf-button-container.component.scss'],
})
export class PostfachMailPdfButtonContainerComponent implements OnInit {
  @Input() postfachMailListResource: PostfachMailResource;
  @Input() showButtonWithLabel: boolean = false;

  isDownloadPdfInProgress$: Observable<boolean>;

  constructor(private postfachService: PostfachService) {}

  ngOnInit(): void {
    this.isDownloadPdfInProgress$ = this.postfachService.isDownloadPdfInProgress();
  }

  downloadPdf(): void {
    this.postfachService.downloadPdf();
  }
}
