import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import localeDeExtra from '@angular/common/locales/extra/de';
import { FormatFullDatePipe } from './format-full-date.pipe';

registerLocaleData(localeDe, 'de', localeDeExtra);

describe('FormatFullDatePipe', () => {
  const pipe: FormatFullDatePipe = new FormatFullDatePipe();

  it('should create', () => {
    expect(pipe).toBeTruthy();
  });

  describe('with string input', () => {
    it('should return full date', () => {
      const date: string = '01.01.2021';

      const result: string = pipe.transform(date);

      expect(result).toBe('01.01.2021');
    });
  });

  describe('with Date input', () => {
    it('should return full date', () => {
      const date: Date = new Date('01.01.2021');

      const result: string = pipe.transform(date);

      expect(result).toBe('01.01.2021');
    });
  });
});
