/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { createUserSettingsResource } from 'libs/user-settings-shared/test/user-settings';
import { UserSettingsResource } from '../user-settings.model';
import { initialUserSettingsState, UserSettingsPartialState } from './user-settings.reducer';
import * as UserSettingsSelectors from './user-settings.selectors';

describe('UserSettings Selectors', () => {
  let state: UserSettingsPartialState;

  const userSettings: StateResource<UserSettingsResource> = createStateResource(
    createUserSettingsResource(),
  );

  beforeEach(() => {
    state = {
      UserSettingsState: {
        ...initialUserSettingsState,
        userSettings,
      },
    };
  });

  describe('userSettingsSelector', () => {
    it('should return userSettings from state', () => {
      expect(UserSettingsSelectors.userSettings.projector(state.UserSettingsState)).toEqual(
        userSettings,
      );
    });
  });
});
