package de.ozgcloud.alfa.common.errorhandling;

import de.ozgcloud.common.errorhandling.FunctionalErrorCode;

public class OrderNotAllowedException extends FunctionalException {

	private static final long serialVersionUID = 1L;

	private static final FunctionalErrorCode MESSAGE_CODE = () -> "loeschanforderung.order_not_allowed";
	private static final String MESSAGE_TEMPLATE = "Order '%s' is not allowed. Expected 'VORGANG_LOESCHEN or LOESCH_ANFORDERUNG_ZURUECKNEHMEN'.";

	private final String order;

	public OrderNotAllowedException(String order) {
		super(MESSAGE_CODE);

		this.order = order;
	}

	@Override
	public String getMessage() {
		return super.getMessage() + String.format(MESSAGE_TEMPLATE, order);
	}
}