package de.ozgcloud.alfa.loeschanforderung;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.ozgcloud.alfa.common.LinkedUserProfileResource;
import de.ozgcloud.alfa.common.command.CommandBody;
import de.ozgcloud.alfa.common.user.UserId;
import de.ozgcloud.alfa.vorgang.Vorgang.VorgangStatus;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Getter
@Builder(toBuilder = true)
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PACKAGE)
@ToString
public class LoeschAnforderung implements CommandBody {

	static final String REQUESTED_BY_FIELD = "requestedBy";
	static final String PREV_STATUS_FIELD = "prevStatus";

	@JsonIgnore
	private String id;

	@JsonIgnore
	private String vorgangId;

	@LinkedUserProfileResource
	private UserId requestedBy;
	private VorgangStatus prevStatus;
}
