/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common.command;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.common.GrpcCallContextTestFactory;
import de.ozgcloud.vorgang.grpc.command.GrpcCallContext;
import de.ozgcloud.vorgang.grpc.command.GrpcCommand;
import de.ozgcloud.vorgang.grpc.command.GrpcCreateCommandRequest;

public class GrpcCommandTestFactory {

	private static final String RELATION_ID = UUID.randomUUID().toString();
	private static final CommandStatus STATUS = CommandStatus.PENDING;
	private static final String ORDER = LoremIpsum.getInstance().getWords(1);
	private static final GrpcCallContext CALL_CONTEXT = GrpcCallContextTestFactory.create();

	public static GrpcCommand create() {
		return createBuilder().build();
	}

	public static GrpcCommand.Builder createBuilder() {
		return GrpcCommand.newBuilder()
				.setStatus(STATUS.name())
				.setRelationId(RELATION_ID)
				.setOrderString(ORDER);
	}

	public static GrpcCreateCommandRequest createCommandRequest() {
		return createCommandRequestBuilder().build();
	}

	public static GrpcCreateCommandRequest.Builder createCommandRequestBuilder() {
		return GrpcCreateCommandRequest.newBuilder()
				.setCallContext(CALL_CONTEXT)
				.setRelationId(RELATION_ID)
				.setOrderString(ORDER);
	}
}